Accepted: gnupg 1.4.9-3ubuntu1 (source)

Michael Bienia geser at ubuntu.com
Wed Jul 30 09:10:21 BST 2008


Accepted:
 OK: gnupg_1.4.9.orig.tar.gz
 OK: gnupg_1.4.9-3ubuntu1.diff.gz
 OK: gnupg_1.4.9-3ubuntu1.dsc
     -> Component: main Section: utils

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Jul 2008 02:02:14 +0200
Source: gnupg
Binary: gnupg gpgv gnupg-udeb gpgv-udeb
Architecture: source
Version: 1.4.9-3ubuntu1
Distribution: intrepid
Urgency: low
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Michael Bienia <geser at ubuntu.com>
Description: 
 gnupg      - GNU privacy guard - a free PGP replacement
 gnupg-udeb - GNU privacy guard - a free PGP replacement (udeb)
 gpgv       - GNU privacy guard - signature verification tool
 gpgv-udeb  - minimal signature verification tool (udeb)
Closes: 201589 296128 297253 298699 298699 340846 343988 346597 356550 357267 381419 394037 394037 399167 402592 402958 412508 420613 430459 431828 437050 445328 450670 452118 453122 476418 491864
Launchpad-Bugs-Fixed: 225005 247679
Changes: 
 gnupg (1.4.9-3ubuntu1) intrepid; urgency=low
 .
   * Merge from debian unstable (lp: #225005), remaining changes:
     - Add 'debian/patches/50_disable_mlock_test.dpatch': Disable mlock() test
       since it fails with ulimit 0 (on buildds).
     - Add 'debian/patches/61_use_agent_default.dpatch': Patch to set gpg
       (or gpg2) and gpgsm to use a passphrase agent by default (lp: 15485)
     - Add libcurl4-gnutls-dev to Build-Depends to fix gpg running into a
       timeout updating the keyring (lp: 62864)
   * Dropped Ubuntu patches, applied upstream:
     - 50_show_primary_only.dpatch
     - 60_install_options_skel.dpatch
   * Add 'debian/patches/55_curl_typefix.dpatch': Fix a build error with recent
     curl and gcc 4.3 (lp: #247679). Patch taken from upstream:
     http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/024344.html
 .
 gnupg (1.4.9-3) unstable; urgency=low
 .
   * Add Package-Type: udeb to μdebs.
   * Properly strip binaries shippped in μdebs.
   * Disable libusb-dev build-dep on the Hurd (closes: #491864).
   * Updated debian/copyright to GPLv3.
   * Checked for policy 3.8.0, added README.source.
   * Add self to uploaders.
 .
 gnupg (1.4.9-2) unstable; urgency=low
 .
   [ Sune Vuorela ]
   * Switch maintainer to maillist. This package is now officially team
     maintained.
   * Really enable patches added earlier. (Really Closes: #394037, #298699)
   * Add a seahorse conflicts as the seahorse maintainer likes.
   * Remove stamp files in clean.
 .
   [ Thijs Kinkhorst ]
   * Add watch file (Closes: #450670).
   * Remove ancient (2002 and earlier) Conflicts, Replaces, Provides.
 .
   [ Daniel Leidert ]
   * debian/control: Added Vcs fields.
     (Uploaders): Added myself.
   * debian/gpg-zip.1: Fixed header.
 .
 gnupg (1.4.9-1) unstable; urgency=low
 .
   * New upstream release 1.4.9 (Closes: #452118). Based on Daniel Leiderts work
     - Removed shutdown code in util/http.c (Closes: #201589).
     - Limit bytes read for an unknown alogorithm (Closes: #402592).
     - Build changes to fully evaluate paths (Closes: #402958, #412508, #420613).
     - Decrypt multiple files and not just the first (Closes: #431828).
     - Fixes yat2m and gpg.texi to fix formatting in the man-page
      (Closes: #445328).
     - Localizaton update for German locale (closes: #296128).
   * Remove patch 28_multiple_message.dpatch, implemented upstream
   * Remove ancient preinst script to support upgrades back in 1998
   * README.Debian is related to the ancient preinst script, so remove it as
     well.
   * debian/patches/99_yat2m_fix_samp_handling.dpatch: Added.
     - doc/yat2m.c: Backport two fixes from the upstream SVN regarding the
       correct handling of backslahes and fixing the samples output format
       avoiding man-db warnings.
   * Redo patches with dpatch-run instead of big patch blurb in the patches.
   * Updated and added some tranlations (patch 25*)
     (French: Closes: #394037) (Italian: Closes: #298699)
   * Have gpg suggest libpcsclite1 (Closes: #297253) and a couple of image
     viewers (Closes: #381419).
   * No need to clean up in builddir before removing builddir
   * if rm -rf fails, we should also fail
   * Handle DEB_BUILD_OPTIONS=nostrip in debian/rules (Closes: #437050)
   * add md5sums to package (Closes: 430459)
   * Don't depend, but recommend libldap, this is only needed in some
     cases. (Closes: 399167)
   * Add manpage to gpg-zip. Thanks to Colin Tuckley and Daniel Leidert
   * Bump standards.
   * Add Homepage field to debian/control
   * Run test suites.
 .
 gnupg (1.4.6-3) unstable; urgency=low
 .
   * Adopt package. Thanks to James Troup for his work in the far past.
     Thanks to NMU'ers Bastian and Thijs. (Closes: #476418)
   * Co-maintainers wanted.
   * Don't build-dep on pcap on non-linux-archs. (Closes: #357267)
 .
 gnupg (1.4.6-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Do not install gpg setuid root, this is not necessary anymore since
     Linux kernel 2.6.9. (Closes: #356550, #346597, #453122)
   * Update priority to match override (Closes: #340846).
 .
 gnupg (1.4.6-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove makedev dependency. (closes: #343988)
Checksums-Sha1: 
 0caee6130d65479f108bfc8d09fd3db0f003e137 1555 gnupg_1.4.9-3ubuntu1.dsc
 52a245d20da70a3f79a2134c8ece3a1d30554ffa 4664291 gnupg_1.4.9.orig.tar.gz
 46fe5e359fb4e17c8226120fa419cefe649a6ad2 28806 gnupg_1.4.9-3ubuntu1.diff.gz
Checksums-Sha256: 
 511da0705cd1436eaadb73850ec02c38331211168d081af2280725c4dadd1f29 1555 gnupg_1.4.9-3ubuntu1.dsc
 0459649c1736afa45d4d3c92228ce6e450f9a7bd89e194b29cd902b7d7ea17ff 4664291 gnupg_1.4.9.orig.tar.gz
 2dd5bdaeedb2e7b636f2cc7685a60cd495394d10d0b7b63b220a8a5afa386157 28806 gnupg_1.4.9-3ubuntu1.diff.gz
Files: 
 d5eb140ba2d0c0166ff0a930c8a5f97f 1555 utils important gnupg_1.4.9-3ubuntu1.dsc
 3537dedea45cc09e8d88d1ef4f774246 4664291 utils important gnupg_1.4.9.orig.tar.gz
 d1629f835aa2d0eed0e8f05c6534673c 28806 utils important gnupg_1.4.9-3ubuntu1.diff.gz
Original-Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIkCAmKN6ufymYLloRAuzZAJ9+JyGMaxh9eazPegA0C845AniuOwCff/vm
bkBdfg2MzaS6qEmJWLUO0Ko=
=Oivu
-----END PGP SIGNATURE-----





More information about the Intrepid-changes mailing list